#
# spec file for package tuxracer (Version 0.61)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel SDL_mixer alsa audiofile esound gpp kdelibs-artsd libgpp mesa mesa-devel mesasoft tcl tcl-devel xf86 xf86glu xf86glu-devel
# usedforbuild    SDL SDL-devel SDL_mixer aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         tuxracer
Summary:      3D Tux Downhill racing game
Version:      0.61
Release:      190
Copyright:    GPL
Group:        Amusements/Games
URL:          http://tuxracer.sourceforge.net
Source:       tuxracer-%{version}.tar.bz2
Source1:      tuxracer-data-%{version}.tar.bz2
Patch:        tuxracer-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Tux Racer lets you take on the role of Tux the Linux Penguin as he
races down steep, snow-covered mountains. Enter cups and compete to
win the title! Tux Racer includes a variety of options for game play,
including the ability to race courses in fog, at night, and under high
winds.

Authors:
--------
    Jasmin F. Patry <jfpatry@sunspirestudios.com>

SuSE series: fun

%prep
%setup -a 1
%patch

%build
%{?suse_update_config:%{suse_update_config -fl}}
autoconf
./configure --prefix=/usr --with-data-dir=/usr/share/tuxracer
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share
cp -pr tuxracer-data-* $RPM_BUILD_ROOT/usr/share/tuxracer

%files
%defattr(-,root,root)
/usr/bin/tuxracer
/usr/share/tuxracer
%doc AUTHORS COPYING ChangeLog README html contrib

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n tuxracer
* Sat Sep 22 2001 - sndirsch@suse.de
- RPM Group tag set to Amusements/Games, so it can be found easier
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Fri Aug 03 2001 - uli@suse.de
- fixed to build on s390 (suse_update_config)
* Wed Jun 20 2001 - nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Mon Mar 12 2001 - nadvornik@suse.cz
- fixed neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Feb 21 2001 - nadvornik@suse.cz
- update to 0.61
* Mon Dec 18 2000 - ro@suse.de
- compile fix
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Thu Nov 23 2000 - nadvornik@suse.cz
- update to 0.60.3
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 16 2000 - nadvornik@suse.cz
- new package
